<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white">

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_app_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="15dp"
        android:paddingVertical="15dp"
        android:text="@string/file_recovery"
        android:textColor="#000000"
        android:textSize="19sp"
        android:textStyle="bold"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/ivVips"
        android:layout_width="32dp"
        android:layout_height="32dp"
        android:layout_marginStart="8dp"
        android:src="@drawable/h_vip_s"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@id/tv_app_name"
        app:layout_constraintStart_toEndOf="@id/tv_app_name"
        app:layout_constraintTop_toTopOf="@id/tv_app_name" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/ivVip"
        android:layout_width="@dimen/dp_30"
        android:layout_height="@dimen/dp_30"
        android:layout_marginEnd="14dp"
        android:src="@drawable/h_vip"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@id/tv_app_name"
        app:layout_constraintEnd_toStartOf="@id/ll_weather"
        app:layout_constraintTop_toTopOf="@id/tv_app_name" />


    <LinearLayout
        android:id="@+id/ll_weather"
        android:layout_width="wrap_content"
        android:layout_height="36dp"
        android:layout_marginEnd="20dp"
        android:background="@drawable/bg_f3f5f7_61"
        android:orientation="horizontal"
        app:layout_constraintBottom_toBottomOf="@id/tv_app_name"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@id/tv_app_name">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_marginStart="15dp"
            android:layout_marginEnd="2dp"
            android:includeFontPadding="false"
            android:text="20"
            android:textColor="#000000"
            android:textSize="14sp"
            android:textStyle="bold"
            tools:ignore="HardcodedText" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_marginEnd="4dp"
            android:includeFontPadding="false"
            android:text="℃"
            android:textColor="#000000"
            android:textSize="14sp"
            android:textStyle="bold"
            tools:ignore="HardcodedText" />

        <ImageView
            android:layout_width="26dp"
            android:layout_height="26dp"
            android:layout_gravity="center_vertical"
            android:layout_marginEnd="9dp"
            android:src="@drawable/tianqi"
            tools:ignore="ContentDescription" />
    </LinearLayout>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:overScrollMode="never"
        android:paddingHorizontal="8dp"
        app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_app_name" />

</androidx.constraintlayout.widget.ConstraintLayout>